List a comment's reactions
GET
/categories/{category}/posts/{post}/comments/{comment}/reactions
const url = 'https://feed.work.optidata.cloud/api/categories/864/posts/2289/comments/1242/reactions';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://feed.work.optidata.cloud/api/categories/864/posts/2289/comments/1242/reactions \ --header 'Authorization: Bearer <token>'Everyone who reacted to the comment.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”category
required
integer
Numeric id of the community.
post
required
integer
Numeric id of the post.
comment
required
integer
Numeric id of the comment.
Responses
Section titled “ Responses ”The reactions.
Media typeapplication/json
Array<object>
object
id
required
integer
user_id
required
integer
reactable_type
string
reactable_id
integer
type
required
string
created_at
string format: date-time
updated_at
string format: date-time
user
A user of the company.
object
id
required
integer
uuid
required
string format: uuid
cuid
Identifier of the company.
string
username
string
email
string
name
required
string | null
company_name
string | null
role
string
status
string | null
created_at
string format: date-time
updated_at
string format: date-time
deleted_at
string | null format: date-time
avatar_url
string | null
settings
object | null
Examples
Exampleexample
[ { "id": 2722, "user_id": 38, "reactable_type": "App\\Models\\Comment", "reactable_id": 1242, "type": "like", "created_at": "2026-10-19T14:39:39.000000Z", "updated_at": "2026-10-19T14:39:39.000000Z", "user": { "id": 38, "uuid": "9ba64b0e-69b4-4639-a01b-4ac5c5f70a24", "cuid": "7f3c2a10-5b8e-4d21-9c6a-0e4f1b2d3c4a", "username": "ana.souza@example.com", "email": "ana.souza@example.com", "name": "Ana Souza", "company_name": "Acme", "role": "user", "status": "active", "created_at": "2026-03-25T19:47:41.000000Z", "updated_at": "2026-09-16T17:25:41.000000Z", "deleted_at": null, "avatar_url": "https://media.optidata.cloud/avatars/ana.webp", "settings": { "language": "pt_BR", "language_source": "company", "theme": "light", "timezone": null, "user_id": 214 } } }]No authentication key was sent.
Media typeapplication/json
Authentication failures use an error key.
object
error
required
string
Examples
Exampleexample
{ "error": "JWT passport exception: Missing bearer token in request"}The caller is not allowed to perform this action.
Media typeapplication/json
object
message
required
string
Examples
Exampleexample
{ "message": "This action is unauthorized."}No matching resource, or it is not reachable through this path.
Media typeapplication/json
object
message
required
string
Examples
Exampleexample
{ "message": "No query results for model [App\\Models\\Category] 864"}The authentication key is expired or not recognised. Get a fresh one and retry.
Media typeapplication/json
Authentication failures use an error key.
object
error
required
string
Examples
Exampleexample
{ "error": "JWT passport expired: Passport expired"}